/**** NOUVEAU REGLEMENT FACTURE ****/
function changeDeviseReglement(path, pathVerifMontant, input)
{
   $.ajax({
       url : path,
       type : 'POST',
       dataType : 'JSON',
       data: {'devise' : $('#input_devise').val(), 'devise_facture' : $('#devise_facture_init').val(), 'montant_devise' : $('#input_MT_REG_DEV').val().replace(' ', ''), 'numFact' : $('#numFact').val()}, 
       success : function(json){
    	   $('#input_MT_REG_DEV + .input-group-addon').html(json.devise_reglement);
    	   $('#input_MT_REG + .input-group-addon').html(json.devise_facture);
    	   $('#devise_facture').val(json.devise_facture);
    	   
    	   $('#input_MT_REG').val(formatNombre(parseFloat(json.montant_devise_facture).toFixed(2), ' '));
    	   
    	   if($('#input_devise').val()==$('#devise_facture').val()){
    		   if($.isNumeric($('#input_MT_REG_DEV').val())){
    			   $('#input_MT_REG').val(formatNombre(parseFloat($('#input_MT_REG').val()).toFixed(2), ' '));
    		   }
    		   else{
    			   $('#input_MT_REG').val(formatNombre(parseFloat(0).toFixed(2), ' '));
    		   }
    		   $('#input_MT_REG').attr({'readonly': 'readonly'});
    	   }else{
    		   $('#input_MT_REG').removeAttr('readonly');
    	   }
       }
    }); 
}

function changeMttDeviseFactureReglement(path, pathVerifMontant, input){
	if($('#input_devise').val()==$('#devise_facture').val() && $.isNumeric($('#input_MT_REG_DEV').val())){
	   $('#input_MT_REG').val(formatNombre($('#input_MT_REG_DEV').val(), ' '));
	}else{
		$.ajax({
	       url : path,
	       type : 'POST',
	       dataType : 'JSON',
	       data: {'devise' : $('#input_devise').val(), 'devise_facture' : $('#devise_facture').val(), 'montant_devise' : $('#input_MT_REG_DEV').val().replace(' ', ''), 'numFact' : $('#numFact').val()}, 
	       success : function(json){
	    	   $('#input_MT_REG').val(formatNombre(parseFloat(json.montant_devise_facture).toFixed(2), ' '));
	    	}
	    }); 
	}
	$('#input_MT_REG_DEV').val(formatNombre($('#input_MT_REG_DEV').val(), ' '));
}

/**** POPUP FACTURE INTERROGATION ****/
function confirmationCreationReglement(){
	$('#confirmationCreation').val(1);
	desactivePopup();
	$('#nouveau_reglement').submit();
}